# DialogDischarge.py -- Pamhyr
# Copyright (C) 2023  INRAE
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

# -*- coding: utf-8 -*-

from View.Tools.PamhyrWindow import PamhyrDialog

from PyQt5.QtGui import (
    QKeySequence,
)

from PyQt5.QtCore import (
    Qt, QVariant, QAbstractTableModel,
)

from PyQt5.QtWidgets import (
    QDialogButtonBox, QComboBox, QUndoStack, QShortcut,
    QDoubleSpinBox,
)


class DischargeDialog(PamhyrDialog):
    _pamhyr_ui = "InitialConditions_Dialog_Generator_Discharge"
    _pamhyr_name = "Discharge"

    def __init__(self, title="Discharge", parent=None):
        super(DischargeDialog, self).__init__(
            title=self._pamhyr_name,
            options=[],
            parent=parent
        )

        self.value = None

    def accept(self):
        self.value = self.find(QDoubleSpinBox, "doubleSpinBox").value()
        super().accept()

    def reject(self):
        self.close()
